Bug 1467084 - [Perf] : Smallfile deletes are off target by ~65%
[Perf] : Smallfile deletes are off target by ~65%
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kaleb KEITHLEY
: Regression
Depends On:
  Show dependency treegraph
Reported: 2017-07-02 11:15 EDT by Ambarish
Modified: 2017-08-10 03:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-04 23:00:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ambarish 2017-07-02 11:15:25 EDT
Description of problem:

Baseline : RHGS 3.2 + NFS Ganesha 2.4.1-9

Currently testing Ganesha 2.4.4-10 and Gluster 3.8.4-32 build.

A regression seems to have been introduced somewhere in the newer bits.

3.2 : 1638 files/sec

Latest 3.3 bits : 586 files/sec

Regression : ~65%

Version-Release number of selected component (if applicable):


How reproducible:


Additional info:

Volume Name: testvol
Type: Distributed-Replicate
Volume ID: a50c906d-1c2f-4942-b31b-4ad2a2223b3d
Status: Started
Snapshot Count: 0
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Brick1: gqas001.sbu.lab.eng.bos.redhat.com:/bricks/testvol_brick0
Brick2: gqas004.sbu.lab.eng.bos.redhat.com:/bricks/testvol_brick1
Brick3: gqas010.sbu.lab.eng.bos.redhat.com:/bricks/testvol_brick2
Brick4: gqas012.sbu.lab.eng.bos.redhat.com:/bricks/testvol_brick3
Options Reconfigured:
client.event-threads: 4
server.event-threads: 4
cluster.lookup-optimize: on
ganesha.enable: on
features.cache-invalidation: on
server.allow-insecure: on
performance.stat-prefetch: off
transport.address-family: inet
nfs.disable: on
nfs-ganesha: enable
cluster.enable-shared-storage: enable
Comment 5 Ambarish 2017-07-04 23:00:05 EDT
False Alarm!

This seems to occur since the volume got mounted by v4.1(https://bugzilla.redhat.com/show_bug.cgi?id=1375259) and I missed that while opening this BZ.

Mounting via v4.0,the perf regression for this test is within limits that my tests are allowed to have between releases/dev builds.

Closing as Nab,and appologies for the unnecesssary noise.
Comment 6 Ambarish 2017-08-10 03:19:32 EDT
Upstream BZ to track this : https://bugzilla.redhat.com/show_bug.cgi?id=1480098

Note You need to log in before you can comment on or make changes to this bug.